Skip to main content
GET
Search available to buy subnets

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

tenantUUID
string
required

UUID

Pattern: ^[a-zA-Z0-9]{8}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{4}\-[a-zA-Z0-9]{12}$

Query Parameters

cidr
integer
required

CIDR

Required range: 8 <= x <= 24
registrar_uuids[]
string

Array of Registrar UUIDs

Required string length: 24
Pattern: ^[a-z0-9]{24}$
reservation_id
string

Commitment Reservation ID

limit
integer
default:100

Limit results to this number

Required range: 10 <= x <= 1000
sort
enum<string>[]

Sort. If prefixed with a dash, sorts descending

Available options:
price,
-price,
address,
-address
price
number<float>

Look for subnets with exact price

Required range: x >= 0
price_min
number<float>

Look for subnets above or equal this price. Cannot be used if 'price' parameter is given

Required range: x >= 0
price_max
number<float>

Look for subnets below or equal this price. Cannot be used if 'price' parameter is given

Required range: x >= 0
geo_databases
enum<string>[]

Specify which databases to check for city/country filters

Available options:
maxmind,
ip2location,
dbip,
ipinfo
geo_country_code
string

Search subnets by country code

Required string length: 2
geo_city_name
string

Search subnets by city name

octets
integer[]

Search subnets by octets

Required array length: 1 - 4 elements
registry
enum<string>

Registrar Name. Optional registrar_uuids or registry.

Available options:
RIPENCC,
LACNIC,
AFRINIC,
ARIN,
APNIC
wants_to_negotiate
boolean

Search subnets by wants to negotiate

address
string

Address

Response

Successful operation